-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[zzzzRP_SRV_CHECK_C6_GIORNALIERO]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	--V Esegue la procedura di estrazione dei CC
	EXEC [C6Mart].[RP_SRV_ESTRAZ_GIORNALIERA_CC]
	-- Report generati
	SELECT
		C.Rete,
		C.Cod_Agente,
		case when C.Cod_Fiscale  like '%@%' then c.piva_fiduciaria + '  ' + substring(cod_fiscale,4,6) else C.Cod_Fiscale end as Cod_fiscale,
		C.Data_Perf
	INTO #ReportGenerati
	FROM
		C6Mart.GESTIONE_PDF_FTP AS GPF
		INNER JOIN C6Mart.VCONTRATTI AS C             
			ON GPF.RETE = C.Rete
			AND GPF.CODICEFISCALE = C.Cod_Fiscale
        INNER JOIN C6Mart.ContrattoSEI_metadati AS M
            on  C.chiaveclientepb = M.chiaveclientepb
	WHERE
		dbo.toShortDateString(GPF.DataGenerazione) = dbo.toShortDateString(GETDATE())
		AND Data_FineAvanzato > getDate()
	ORDER BY
		C.Rete,
		C.Cod_Agente,
		C.Cod_Fiscale
	-- Report non generati
	SELECT
		Rete,
		Cod_Agente,
		case when Cod_Fiscale  like '%@%' then piva_fiduciaria + '  ' + substring(cod_fiscale,4,6) else Cod_Fiscale end as Cod_fiscale,
		Data_Perf,
		'Ragione:' + CASE
			WHEN ClienteMigrato = 'N' THEN ' Cliente non migrato'
			ELSE ''
		END
		+ CASE
			WHEN RisorseNA = 'S' THEN ' Risorse non associate'
			ELSE ''
		END
		+ CASE
			WHEN RisorseNA = 'N' and ClienteMigrato = 'S' and profiloAttivo = 0 THEN ' Profilo non attivo'
			ELSE ''
		END
		/*+ CASE
			WHEN PartViaDisinv = 'S' THEN ' Partite viaggianti disinvestimento'
			ELSE ''
		END*/ AS Ragione
	INTO #ReportNonGenerati
	FROM
		C6Mart.vcontratti as CONTRATTOSEI
        INNER JOIN C6Mart.ContrattoSEI_metadati AS M
            on  CONTRATTOSEI.chiaveclientepb = M.chiaveclientepb
	WHERE
		M.InvioBenvenuto = 'N'
		AND DATEDIFF(d, Data_Perf, GETDATE()) >= CAST(dbo.getParametro('NUMGIORNIDALPERF_REP') AS INT)
		AND (ClienteMigrato = 'N'
		OR RisorseNA = 'S'
		--V Condizione per non generazione a causa di profilo non attivo
		OR ProfiloAttivo = 0
		--
		/*OR PartViaDisinv = 'S'*/)
		AND Data_FineAvanzato > getDate()
	ORDER BY
		Rete,
		Cod_Agente,
		Cod_Fiscale
	-- Email
	SELECT
		CASE Tipo
			WHEN 'PERF' THEN 'perfezionamento'
			WHEN '1_SOLL_NOASS' THEN '1° sollecito risorse non associate'
			WHEN '2_SOLL_NOASS' THEN '2° sollecito risorse non associate'
			WHEN '3_SOLL_NOASS' THEN '3° sollecito risorse non associate'
			WHEN 'S_SOLL_NOASS' THEN 'più di 3 solleciti risorse non associate'
			WHEN 'REVOCA_NOASS' THEN 'revoca per risorse non associate'
			WHEN '1_SOLL_NOMIG' THEN '1° sollecito cliente non migrato'
			WHEN '2_SOLL_NOMIG' THEN '2° sollecito cliente non migrato'
			WHEN '3_SOLL_NOMIG' THEN '3° sollecito cliente non migrato'
			WHEN 'S_SOLL_NOMIG' THEN 'più di 3 solleciti cliente non migrato'
			WHEN 'REVOCA_NOMIG' THEN 'revoca per cliente non migrato'
			--V aggiunta tipo mail profilo non attivo
			WHEN '1_SOLL_NOPRO' THEN '1° sollecito profilo non attivo'
			WHEN '2_SOLL_NOPRO' THEN '2° sollecito profilo non attivo'
			WHEN '3_SOLL_NOPRO' THEN '3° sollecito profilo non attivo'
			WHEN 'S_SOLL_NOPRO' THEN 'più di 3 solleciti profilo non attivo'
			WHEN 'REVOCA_NOPRO' THEN 'revoca per profilo non attivo'
		END AS Tipo,
		COUNT(Tipo) AS Totale
	INTO #EmailInviate
	FROM
		C6Mart.GESTIONE_EMAIL
	WHERE
		Inviata = 'S'
		AND dbo.toShortDateString(Data_Invio) = dbo.toShortDateString(GETDATE())
	GROUP BY
		Tipo
	ORDER BY TIPO
	-- Indirizzi più lunghi di 36 caratteri
	SELECT
		C.Rete,
		Cod_Agente,
		Cod_Fiscale,
		Indirizzo,
		LEN(Indirizzo) AS LunghezzaIndirizzo
	INTO #IndirizziLunghi
	FROM
		C6Mart.vcontratti AS C
		INNER JOIN C6Mart.GESTIONE_PDF_FTP AS GPF
			ON C.Rete = GPF.RETE
			AND C.Cod_Fiscale = GPF.CODICEFISCALE
	WHERE
		dbo.toShortDateString(GPF.DataGenerazione) = dbo.toShortDateString(GETDATE())
		AND LEN(Indirizzo) > 36
	ORDER BY
		Rete,
		Cod_Agente,
		Cod_Fiscale
	-- Prodotti non a catalogo
	SELECT
		RETE,
		CODICEFISCALE,
		CODICECONTRATTO
	INTO #ProdNonInCat
	FROM
		C6Staging.SPB_CONTR_SINTESI
	WHERE
		POSITIONID IS NULL
	-- VaR discordanti
	SELECT
		RA.RETE,
		RA.COD_FISCALE,
		RA.VAR_PERC_PTF,
		VC.VAR_COMPLESSIVO_BF,
        CASE
			WHEN RA.VAR_PERC_PTF = VC.VAR_COMPLESSIVO_BF THEN 'OK'
			ELSE 'KO'
		END AS VAR_CORRETTO
	INTO #VaRDiscordanti
	FROM
		C6Mart.RISCHIO_AGGREGATO AS RA
		INNER JOIN VAR_CHECK AS VC
			ON RA.RETE = VC.RETE
			AND RA.COD_FISCALE = VC.COD_FISCALE
	WHERE
		(RA.COD_AGGREG = 'COMPLESSIVO|BF')
	ORDER BY
		RA.RETE,
		RA.COD_FISCALE
	-- Posizioni in stato liquidato
	SELECT
		PB.RETE,
		PB.COD_FISCALE,
		ID_CONTRATTO
	INTO #PosizioniStatoL
	FROM
		C6Mart.PATRIMONIO_BF AS PB
		INNER JOIN #VaRDiscordanti AS VD
			ON PB.RETE = VD.RETE
			AND PB.COD_FISCALE = VD.COD_FISCALE
	WHERE
		PB.COD_STATO = 'L'
		AND PB.CTV >= 0
		AND VD.VAR_CORRETTO = 'KO'
	ORDER BY
		PB.RETE,
		PB.COD_FISCALE
	-- Clienti senza data sottoscrizione
	SELECT DISTINCT
		PB.RETE,
		C.COD_AGENTE,
		PB.COD_FISCALE,
		PB.ID_CONTRATTO
	INTO #ClientiSenzaDataSott
	FROM
		C6Mart.vcontratti AS C
		INNER JOIN C6Mart.PATRIMONIO_BF AS PB
			ON C.Rete = PB.RETE
			AND C.Cod_Fiscale = PB.COD_FISCALE
		INNER JOIN C6Mart.RISCHIO_AGGREGATO AS RA
			ON PB.RETE = RA.RETE
			AND PB.COD_FISCALE = RA.COD_FISCALE
	WHERE
		PB.DATA_SOTTOSCRIZIONE IS NULL
		AND PB.TIPO_PRODOTTO = 'DT'
	-- Clienti senza piramide modello
	SELECT
		Rete,
		Cod_Agente,
		Cod_Fiscale
	INTO #ClientiSenzaPiramideModello
	FROM
		C6Mart.vcontratti as CONTRATTOSEI
    inner join 
		C6Mart.contrattosei_metadati as M
    on CONTRATTOSEI.chiaveclientepb = m.chiaveclientepb
	WHERE
		Data_FineAvanzato < getDate()
		AND inviobenvenuto = 'N'
		AND clientemigrato = 'S'
		AND risorseNA = 'N'
		AND DATEDIFF(d, Data_Perf, GETDATE()) >= CAST(dbo.getParametro('NUMGIORNIDALPERF_REP') AS INT)
		AND Cod_Fiscale NOT IN (
			SELECT
				COD_FISCALE
            FROM
				C6Mart.PIRAMIDE_MOD)
	--scarti simpb contrattoSintesi
	SELECT codiceFiscale,DATA_PERF
	INTO #ClientiSenzaContrattoSintesi
	FROM C6STAGING.SPB_SCARTI SPB
		 JOIN 
		 C6MART.RP_vContrattiMigrati C6
		 ON
		 SPB.CODICEFISCALE = C6.COD_FISCALE
	WHERE pacchettoSSIS = 'SPB_CONTRSINTESI' 
	--scarti simpb mifid
	SELECT codiceFiscale,DATA_PERF
	INTO #ClientiSenzaProfiloMIFID
	FROM C6STAGING.SPB_SCARTI SPB
		 JOIN 
		 C6MART.RP_vContrattiMigrati C6
		 ON
		 SPB.CODICEFISCALE = C6.COD_FISCALE
	WHERE pacchettoSSIS = 'SPB_MIFID'
	DECLARE @testoMail VARCHAR(MAX)
	DECLARE @rete CHAR(1)
	DECLARE @codiceAgente VARCHAR(6)
	DECLARE @codiceFiscale VARCHAR(25)
	DECLARE @data DATETIME
	DECLARE @ragione VARCHAR(100)
	DECLARE @tipo VARCHAR(100)
	DECLARE @indirizzo VARCHAR(100)
	DECLARE @totale INT
	DECLARE @codiceContratto VARCHAR(11)
	DECLARE @varPercPtf DECIMAL(5, 2)
	DECLARE @varComplessivoBf DECIMAL(5, 2)
	SET @testoMail = '<html><body><table border="0"><tr><td colspan="2"><strong>E-mail inviate:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			Tipo,
			Totale
		FROM
			#EmailInviate
	OPEN reader
	FETCH NEXT FROM reader INTO @tipo, @totale
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @tipo + '</td>'
		SET @testoMail = @testoMail + '<td align="right">' + CAST(@totale AS VARCHAR) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @tipo, @totale
	END
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="4"><strong>Report generati:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			Rete,
			Cod_Agente,
			Cod_Fiscale,
			Data_Perf
		FROM
			#ReportGenerati
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @data
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + dbo.toShortDateString(@data) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @data
	END
	SELECT @totale = COUNT(*) FROM #ReportGenerati
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="5"><strong>Report non generati:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			Rete,
			Cod_Agente,
			Cod_Fiscale,
			Data_Perf,
			Ragione
		FROM
			#ReportNonGenerati
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @data, @ragione
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + dbo.toShortDateString(@data) + '</td>'
		SET @testoMail = @testoMail + '<td>' + @ragione + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @data, @ragione
	END
	SELECT @totale = COUNT(*) FROM #ReportNonGenerati
	SET @testoMail = @testoMail + '<tr><td align="right">Totale:</td><td>' + CAST(@totale AS VARCHAR) + '</td><td colspan="3">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="5"><strong>Indirizzi più lunghi di 36 caratteri:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			Rete,
			Cod_Agente,
			Cod_Fiscale,
			Indirizzo,
			LEN(Indirizzo) AS LunghezzaIndirizzo
		FROM
			#IndirizziLunghi
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @indirizzo, @totale
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + @indirizzo + '</td>'
		SET @testoMail = @testoMail + '<td>' + CAST(@totale AS VARCHAR) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @indirizzo, @totale
	END
	SELECT @totale = COUNT(*) FROM #IndirizziLunghi
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="3">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="3"><strong>Clienti con prodotti non a catalogo:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			RETE,
			CODICEFISCALE,
			CODICECONTRATTO
		FROM #ProdNonInCat
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceContratto
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceContratto + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceContratto
	END
	SELECT @totale = COUNT(*) FROM #ProdNonInCat
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td>&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="4"><strong>Clienti con VaR discordante:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			RETE,
			COD_FISCALE,
			VAR_PERC_PTF,
			VAR_COMPLESSIVO_BF
		FROM
			#VaRDiscordanti
		WHERE
			VAR_CORRETTO = 'KO'
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @varPercPtf, @varComplessivoBf
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + CAST(@varPercPtf AS VARCHAR) + '</td>'
		SET @testoMail = @testoMail + '<td>' + CAST(@varComplessivoBf AS VARCHAR) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @varPercPtf, @varComplessivoBf
	END
	SELECT @totale = COUNT(*) FROM #VaRDiscordanti WHERE VAR_CORRETTO = 'KO'
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="3"><strong>Clienti con posizioni stato Liquidato:</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			RETE,
			COD_FISCALE,
			ID_CONTRATTO
		FROM
			#PosizioniStatoL
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceContratto
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceContratto + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceContratto
	END
	SELECT @totale = COUNT(*) FROM #PosizioniStatoL
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td>&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="4"><strong>Clienti senza data sottoscrizione</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			RETE,
			COD_AGENTE,
			COD_FISCALE,
			ID_CONTRATTO
		FROM
			#ClientiSenzaDataSott
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @codiceContratto
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceContratto + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale, @codiceContratto
	END
	SELECT @totale = COUNT(*) FROM #ClientiSenzaDataSott
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="3"><strong>Clienti senza piramide modello</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			Rete,
			Cod_Agente,
			Cod_Fiscale
		FROM
			#ClientiSenzaPiramideModello
	OPEN reader
	FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @rete, @codiceAgente, @codiceFiscale
	END
	SELECT @totale = COUNT(*) FROM #ClientiSenzaPiramideModello
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="3"><strong>Clienti senza righe Contratto Sintesi</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			codiceFiscale,
			data_perf
		FROM
			#ClientiSenzaContrattoSintesi
	OPEN reader
	FETCH NEXT FROM reader INTO @codiceFiscale,@data
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + dbo.toShortDateString(@data) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @codiceFiscale,@data
	END
	SELECT @totale = COUNT(*) FROM #ClientiSenzaContrattoSintesi
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
	SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="3"><strong>Clienti senza righe profilo MIFID</strong></td></tr>'
	DECLARE reader CURSOR LOCAL FORWARD_ONLY
	FOR
		SELECT
			codiceFiscale,data_perf
		FROM
			#ClientiSenzaProfiloMIFID
	OPEN reader
	FETCH NEXT FROM reader INTO @codiceFiscale,@data
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @testoMail = @testoMail + '<tr>'
		SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
		SET @testoMail = @testoMail + '<td>' + dbo.toShortDateString(@data) + '</td>'
		SET @testoMail = @testoMail + '</tr>'
		FETCH NEXT FROM reader INTO @codiceFiscale,@data
	END
	SELECT @totale = COUNT(*) FROM #ClientiSenzaProfiloMIFID
	SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	SET @testoMail = @testoMail + '</table>'
	CLOSE reader
	DEALLOCATE reader
---------------------------------------------------------------------
--Email non inviate
	--SET @testoMail = @testoMail + '<br /><br /><table border="0"><tr><td colspan="4"><strong>Email non inviate:</strong></td></tr>'
	--DECLARE reader CURSOR LOCAL FORWARD_ONLY
	--FOR
	--	SELECT a.rete, a.cod_fiscale, a.cod_agente, 
	--	CASE Tipo
	--		WHEN 'PERF' THEN 'perfezionamento'
	--		WHEN '1_SOLL_NOASS' THEN '1° sollecito risorse non associate'
	--		WHEN '2_SOLL_NOASS' THEN '2° sollecito risorse non associate'
	--		WHEN '3_SOLL_NOASS' THEN '3° sollecito risorse non associate'
	--		WHEN 'S_SOLL_NOASS' THEN 'più di 3 solleciti risorse non associate'
	--		WHEN 'REVOCA_NOASS' THEN 'revoca per risorse non associate'
	--		WHEN '1_SOLL_NOMIG' THEN '1° sollecito cliente non migrato'
	--		WHEN '2_SOLL_NOMIG' THEN '2° sollecito cliente non migrato'
	--		WHEN '3_SOLL_NOMIG' THEN '3° sollecito cliente non migrato'
	--		WHEN 'S_SOLL_NOMIG' THEN 'più di 3 solleciti cliente non migrato'
	--		WHEN 'REVOCA_NOMIG' THEN 'revoca per cliente non migrato'
	--		--V aggiunta tipo mail profilo non attivo
	--		WHEN '1_SOLL_NOPRO' THEN '1° sollecito profilo non attivo'
	--		WHEN '2_SOLL_NOPRO' THEN '2° sollecito profilo non attivo'
	--		WHEN '3_SOLL_NOPRO' THEN '3° sollecito profilo non attivo'
	--		WHEN 'S_SOLL_NOPRO' THEN 'più di 3 solleciti profilo non attivo'
	--		WHEN 'REVOCA_NOPRO' THEN 'revoca per profilo non attivo'
	--	END AS Tipo
	--	FROM C6Mart.Contrattosei a
	--	inner join C6Mart.GESTIONE_EMAIL b
	--	on
	--	a.rete = b.rete
	--	and
	--	a.cod_fiscale = b.cod_fiscale
	--	WHERE isnull(b.Inviata,'N')='N'
	--OPEN reader
	--FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceAgente, @tipo
	--WHILE @@FETCH_STATUS = 0
	--BEGIN
	--	SET @testoMail = @testoMail + '<tr>'
	--	SET @testoMail = @testoMail + '<td>' + @rete + '</td>'
	--	SET @testoMail = @testoMail + '<td>' + @codiceFiscale + '</td>'
	--	SET @testoMail = @testoMail + '<td>' + @codiceAgente + '</td>'
	--	SET @testoMail = @testoMail + '<td>' + @tipo + '</td>'
	--	SET @testoMail = @testoMail + '</tr>'
	--	FETCH NEXT FROM reader INTO @rete, @codiceFiscale, @codiceAgente, @tipo
	--END
	--SELECT @totale = COUNT(*) FROM C6Mart.GESTIONE_EMAIL WHERE isnull(Inviata,'N')='N'
	--SET @testoMail = @testoMail + '<tr><td>Totale:</td><td align="right">' + CAST(@totale AS VARCHAR) + '</td><td colspan="2">&nbsp;</td></tr>'
	--SET @testoMail = @testoMail + '</table>'
	--CLOSE reader
	--DEALLOCATE reader
---------------------------------------------------------------------
	SET @testoMail = @testoMail + '</table></body></html>'
	SELECT @testoMail
	DROP TABLE #ReportGenerati
	DROP TABLE #ReportNonGenerati
	DROP TABLE #EmailInviate
	DROP TABLE #IndirizziLunghi
	DROP TABLE #PosizioniStatoL
	DROP TABLE #ProdNonInCat
	DROP TABLE #VaRDiscordanti
	DROP TABLE #ClientiSenzaDataSott
	DROP TABLE #ClientiSenzaPiramideModello
	DROP TABLE #ClientiSenzaContrattoSintesi
	DROP TABLE #ClientiSenzaProfiloMIFID
END